# - Find Cg (Shader framework)
# This module defines the following variables
#  Cg_FOUND         - system has nvidia cg - Open Inventor
#  Cg_INCLUDE_DIR  - where the Inventor include directory can be found
#  Cg_LIBRARIES     - Link to this to use Coin3D
#
 

FIND_PATH(Cg_INCLUDE_DIR Cg/cg.h)
FIND_LIBRARY(Cg_LIBRARY Cg)   
FIND_LIBRARY(CgGL_LIBRARY CgGL)
SET(Cg_LIBRARIES ${Cg_LIBRARY} ${CgGL_LIBRARY})

# handle the QUIETLY and REQUIRED arguments and set Cg_FOUND to TRUE if 
# all listed variables are TRUE
INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(Cg DEFAULT_MSG Cg_LIBRARIES Cg_INCLUDE_DIR)


MARK_AS_ADVANCED(Cg_INCLUDE_DIR Cg_LIBRARIES )


